description: WordHat error code documentation for WordPress PHP driver errors
# Error codes W600-699

These errors should only appear if you are using the WP-PHP driver, and something unexpected happens.

## W600
> Failed creating a new comment: (...)

WordPress could not add the comment.
Read the output for futher information.

## W601
> Could not find comment with ID (...)

WordPress could not find the specified comment.
Check your `*.feature` files for typos.

## W602
> Failed deleting a comment

WordPress could not delete the specified comment.
Does it exist?

## W603
> Failed creating new content: (...)

WordPress could not create the new content.
Read the output for futher information.

## W604
> Could not find content with ID (...)

WordPress could not find the specific content.
Check your `*.feature` files for typos.

## W605
> Failed deleting content

WordPress could not delete the specified content.
Does it exist?

## W606
> Could not export database in method (...):
>
> (...)
>
> (...)

WordPress could not export the database.
Read the output for further information.

## W607
> Could not import database in method (...):
>
> (...)
>
> (...)

WordPress could not import a SQL file into the database.
Read the output for further information.

## W608
> Cannot find the plugin: (...)

WordPress could not find the specified plugin.
Check your `*.feature` files for typos.

## W609
> Failed creating a new term: (...)

WordPress could not create the specified taxonomy term.
Read the output for further information.

## W610
> Could not find term with ID (...)
>
> Could not find term with ID (...): (...)

WordPress could not find the specified taxonomy term by name or by ID.
Check your `*.feature` files for typos.

## W611
> Failed deleting a term: (...)

WordPress could not delete the specified taxonomy term.
Read the output for further information.

## W612
> Could not find theme (...)

WordPress could not find the specified theme.
Check your `*.feature` files for typos.

## W613
> Widget (...) does not exist

WordPress could not find the specified widget.
Check your `*.feature` files for typos.

## W614
> Sidebar "(...)" does not exist

WordPress could not find a sidebar registered with this name.
Check your `*.feature` files for typos.

## W615
> Failed creating new user: (..)

WordPress could not create the specified user account.
Read the output for further information.

## W616
> Could not find user with ID (...)

WordPress could not find the specified user account.
Check your `*.feature` files for typos.

## W617
> Failed deleting user

WordPress could not delete the specified user account.
Does it exist?
